Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class DHTMLData

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.DHTMLElement
                  |
                  +--oracle.jdeveloper.html.DHTMLData

public class DHTMLData
extends DHTMLElement

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `action`
`protected java.lang.String` | `image`
`protected java.lang.String` | `text`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`DHTMLData()`
`DHTMLData(java.lang.String text, java.lang.String action, java.lang.String image)`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getImage()`
`java.lang.String` | `getText()`
`void` | `render(java.io.PrintWriter out)`
`void` | `setAction(java.lang.String action)`
`void` | `setImage(java.lang.String image)`
`void` | `setText(java.lang.String text)`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    protected java.lang.String text

### action

    protected java.lang.String action

### image

    protected java.lang.String image

Constructor Detail

### DHTMLData

    public DHTMLData()

### DHTMLData

    public DHTMLData(java.lang.String text,
                     java.lang.String action,
                     java.lang.String image)

Method Detail

### setText

    public void setText(java.lang.String text)

### getText

    public java.lang.String getText()

### setAction

    public void setAction(java.lang.String action)

### getAction

    public java.lang.String getAction()

### setImage

    public void setImage(java.lang.String image)

### getImage

    public java.lang.String getImage()

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD